library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity precnt is
    Port ( takt : in std_logic;
           q : out std_logic_vector(13 downto 0));
end precnt;

architecture Behavioral of precnt is
signal qi : std_logic_vector(13 downto 0);
begin
  
  ct: PROCESS (takt)
      BEGIN
        IF takt'event and takt='1' 
	        THEN qi <= qi + 1; END IF;
      END PROCESS ct;

  q <= qi;
end Behavioral;
